package mdl

import (
	"time"
)

type Plantation struct {
	Id          string
	CreatedAt   time.Time
	UpdatedAt   time.Time
	Name        string
	PlantedAt   time.Time
	GardenTasks []*GardenTask
	PlantId     string
	Plant       *Plant
	GardenId    string
	Garden      *Garden
}

func (this *Plantation) AppendGardenTask(gardenTask *GardenTask) {
	this.GardenTasks = append(this.GardenTasks, gardenTask)
}
func (this *Plantation) GetId() string {
	return this.Id
}
